<?php

include 'conexion.php';
$fk_id_sede=$_GET['fk_id_sede'];
$fk_id_ubicacion=$_GET['fk_id_ubicacion'];
$fk_id_func_respon=$_GET['fk_id_func_respon'];

$opc = "Where 1=1 ";

if(!empty($fk_id_sede)){
    $opc = "$opc  and activos.fk_id_sede = '$fk_id_sede' ";
}

if(!empty($fk_id_ubicacion)){
  $opc = "$opc  and activos.fk_id_ubicacion = '$fk_id_ubicacion' ";
}

if(!empty($fk_id_func_respon)){
  $opc = "$opc  and activos.fk_id_func_respon = '$fk_id_func_respon' ";
}

$consulta = "SELECT
   `activos`.`id_activo` AS INVENTARIO,
   `categorias`.`nombre` AS CATEGORIA,
  trim(CONCAT(
    CASE WHEN LENGTH(activos.descripcion) < 1 THEN '' ELSE CONCAT(activos.descripcion, '\n\n')
  END,
  IFNULL((
  SELECT
      GROUP_CONCAT(
          CONCAT(
              `campos`.`nombre`,
              ': ',
              IFNULL(
                  (
                  SELECT
                      `campo_activo`.`descripcion`
                  FROM
                      campo_activo
                  WHERE
                      campo_activo.fk_id_campo = campos.id_campo AND campo_activo.fk_id_activo = INVENTARIO
              ),
              ''
              )
          ) SEPARATOR '\n'
      )
  FROM
      categorias
  RIGHT JOIN campos ON campos.fk_id_categoria = categorias.id_categoria
  WHERE
      categorias.id_categoria = activos.fk_id_categoria
  ),'')
  )) AS DESCRIPCION,
  activos.estado AS ESTADO,
  activos.fecha_compra AS F_COMPRA,
  activos.valor AS VALOR,
  ubicacion.`nombre` AS DEPARTAMENTO,
  sede.nombre AS SEDE,
  `funci_responsable`.`nom_func_respon` AS RESPONSABLE
  FROM
  `activos`
  LEFT JOIN `categorias` ON `activos`.`fk_id_categoria` = `categorias`.`id_categoria`
  LEFT JOIN `ubicacion` ON `activos`.`fk_id_ubicacion` = `ubicacion`.`id_ubicacion`
  LEFT JOIN `sede` ON `activos`.`fk_id_sede` = `sede`.`id_sede`
  LEFT JOIN `funci_responsable` ON `activos`.`fk_id_func_respon` = `funci_responsable`.`id_func_respon` $opc ORDER BY RESPONSABLE,SEDE,DEPARTAMENTO,CATEGORIA,INVENTARIO";

$resultado = $conexion->query($consulta);
//echo $consulta;
while($fila = $resultado -> fetch_array()){
    $reporte_activo[] = array_map('utf8_encode', $fila);
}

echo json_encode($reporte_activo);
$resultado -> close();

?>